import request from '@/utils/request'
import Vue from 'vue'
// 获取HIS中患者信息
export function getHisPatientInfo (data) {
    return request({
        url: Vue.prototype.$api.patient.getHisPatientInfo+'/'+data.blh,
        method: 'get',
        params:data
    })
}
// 保存
export function savepatien (data) {
    return request({
        url: Vue.prototype.$api.patient.getHisPatientInfo+'/'+data.id,
        method: 'put',
        data
    })
}
// 上传
export function savedengji (data) {
    return request({
        url: Vue.prototype.$api.patient.getHisPatientInfo+'/'+data.his_inpatient_no,
        method: 'post',
        data
    })
}
// 删除
export function deletedengji (data) {
    return request({
        url: Vue.prototype.$api.patient.getHisPatientInfo+'/'+data.his_inpatient_no,
        method: 'delete',
        data
    })
}
// 生育登记
export function approval (data) {
    return request({
        url: Vue.prototype.$api.patient.approval+'/'+data.inpatient_no,
        method: 'get',
        params:data
    })
}

//医保信息查询
export function getPatientInfo (data) {
    return request({
        url: Vue.prototype.$api.patient.getPatientInfo,
        method: 'get',
        params:data
    })
}

//住院医保上传
export function register (data) {
    return request({
        url: Vue.prototype.$api.patient.register,
        method: 'post',
        data
    })
}

//获取省
export function province (data) {
    return request({
        url: Vue.prototype.$api.patient.province,
        method: 'post',
        data
    })
}

//获取市
export function city (data) {
    return request({
        url: Vue.prototype.$api.patient.city,
        method: 'post',
        data
    })
}

//获取县
export function district (data) {
    return request({
        url: Vue.prototype.$api.patient.district,
        method: 'post',
        data
    })
}
//获疾病列表
export function disease (data) {
    return request({
        url: Vue.prototype.$api.patient.disease,
        method: 'get',
        params:data
    })
}
//获疾病列表
export function doctorlist (data) {
    return request({
        url: Vue.prototype.$api.patient.doctorlist,
        method: 'get',
        params:data
    })
}
